
#include <Wire.h>
#include <LiquidCrystal_I2C.h>
#include <dht.h>

#define DHT22_PIN 6

LiquidCrystal_I2C lcd(0x3F, 2, 1, 0, 4, 5, 6, 7, 3, POSITIVE);

dht DHT;

void setup() {
  
    Serial.begin(9600);
    lcd.begin (16, 2);
}

void loop() {

    // Efetua a leitura dos dados do sensor
    int chk = DHT.read22(DHT22_PIN);
    
    // Mostra os dados no display
    lcd.setCursor(0, 0);	
    lcd.print("Temperat: ");
    lcd.setCursor(10, 0);
    lcd.print(DHT.temperature, 1);
    lcd.setCursor(14, 0);
    lcd.print((char)223);
    lcd.setCursor(15, 0);
    lcd.print("C");
    lcd.setCursor(0, 1);	
    lcd.print("Umididad: ");
    lcd.setCursor(10, 1);
    lcd.print(DHT.humidity, 1);
    lcd.setCursor(14, 1);
    lcd.print("%");
    delay(3000);
}
